devel/p5-Test-DistManifest - The NetBSD Packages Collection

Author test that validates a package MANIFEST

This module provides a simple method of testing that a MANIFEST matches the
distribution.

It tests three things:

    Everything in MANIFEST exists
    Everything in the package is listed in MANIFEST, or subsequently matches a
    regular expression mask in MANIFEST.SKIP
    Nothing exists in MANIFEST that also matches a mask in MANIFEST.SKIP, so
    as to avoid an unsatisfiable dependency conditions

If there is no MANIFEST.SKIP included in your distribution, this module will
replicate the toolchain behaviour of using the default system-wide
MANIFEST.SKIP file. To view the contents of this file, use the command:

  $ perldoc -m ExtUtils::MANIFEST.SKIP

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Test-NoWarnings lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Test-DistManifest-1.014nb7.tgz
NetBSD 8.0earmv7hfp5-Test-DistManifest-1.014nb6.tgz
NetBSD 8.0earmv7hfp5-Test-DistManifest-1.014nb7.tgz
NetBSD 8.0i386p5-Test-DistManifest-1.014nb6.tgz
NetBSD 8.0i386p5-Test-DistManifest-1.014nb7.tgz
NetBSD 8.0powerpcp5-Test-DistManifest-1.014nb6.tgz
NetBSD 8.0powerpcp5-Test-DistManifest-1.014nb7.tgz
NetBSD 8.0powerpcp5-Test-DistManifest-1.014nb7.tgz
NetBSD 8.0powerpcp5-Test-DistManifest-1.014nb7.tgz
NetBSD 8.0x86_64p5-Test-DistManifest-1.014nb6.tgz
NetBSD 8.0x86_64p5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0aarch64p5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0aarch64p5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0aarch64p5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0alphap5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0alphap5-Test-Taint-1.08nb1.tgz
NetBSD 9.0alphap5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0earmp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0earmp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0earmp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0earmv6hfp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0earmv6hfp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0earmv6hfp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0earmv7hfp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0earmv7hfp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0earmv7hfp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0earmv7hfp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0i386p5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0i386p5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0i386p5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0mips64ebp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0mips64ebp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0mips64ebp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0mips64ebp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0mips64ebp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0powerpcp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0powerpcp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0powerpcp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0powerpcp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0sh3elp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0sh3elp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0sh3elp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0sparc64p5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0sparc64p5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0sparc64p5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0sparcp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0sparcp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0sparcp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0sparcp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0sparcp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0vaxp5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0vaxp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0vaxp5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0x86_64p5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0x86_64p5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0x86_64p5-Test-DistManifest-1.014nb6.tgz
NetBSD 9.0x86_64p5-Test-DistManifest-1.014nb7.tgz
NetBSD 9.0x86_64p5-Test-DistManifest-1.014nb7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.